Subject: Re: e1000: backport ich9 support from 7.5.5 ?

From: Christoph Hellwig <[email-masked]>
Date: Sat, 30 Jun 2007 09:25:20 +0100

On Fri, Jun 29, 2007 at 07:31:55PM -0700, Kok, Auke wrote:
> all the pci-express adapters that are supported are extremely similar:
> 
> - they all support 2 queues
> - the register sets are (almost entirely) identical
> - there is minimal feature variance between 82571/2/3, esb2lan, ich8/9
> 
> The major differences between 82571/2/3, esb2lan and ich8/9 are PHY-based 
> (4 different PHY's basically, one for 82571/2/3, one for esb2lan and 2 for 
> ich8/9, excluding fiber and serdes here) and NVM/EEPROM.
> 
> 
> ich8 and 9 are consistent with 82571/2/3 - on-board nic's based on the 
> 82571 design with different PHY's, and added features for the newer 
> demands. A driver split here would be possible but not justified IMHO.

Sounds like the perfect split to me.  I'd suggest you rip out support
for older hardware from your new driver and do the resulting simplification
and post a new e1000e driver for this hardware, removing existing support
from e1000 at the same time.  Later you can do the feature flags and similar
improvements to the old driver driver in an incremental fashion without the
burden of having to keep up with new hardware.

-------------------------------------------------------------------------
This SF.net email is sponsored by DB2 Express
Download DB2 Express C - the FREE version of DB2 express and take
control of your XML. No limits. Just data. Click to get it now.
http://sourceforge.net/powerbar/db2/